Index: code/trunk/src/modules/invader/Invader.cc
===================================================================
--- code/trunk/src/modules/invader/Invader.cc	(revision 11052)
+++ code/trunk/src/modules/invader/Invader.cc	(revision 11071)
@@ -61,5 +61,5 @@
         RegisterObject(Invader);
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
-        this->center_ = 0;
+        this->center_ = nullptr;
         bEndGame = false;
         lives = 3;
@@ -78,5 +78,5 @@
     {
         level++;
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             for (int i = 0; i < 7; i++)
@@ -103,8 +103,8 @@
     InvaderShip* Invader::getPlayer()
     {
-        if (player == NULL)
+        if (player == nullptr)
         {
-            for (ObjectList<InvaderShip>::iterator it = ObjectList<InvaderShip>::begin(); it != ObjectList<InvaderShip>::end(); ++it)
-                player = *it;
+            for (InvaderShip* ship : ObjectList<InvaderShip>())
+                player = ship;
         }
         return player;
@@ -113,5 +113,5 @@
     void Invader::spawnEnemy()
     {
-        if (getPlayer() == NULL)
+        if (getPlayer() == nullptr)
             return;
 
@@ -134,4 +134,9 @@
             newPawn->setPosition(player->getPosition() + Vector3(500.f + 100 * i, 0, float(rand())/RAND_MAX * 400 - 200));
         }
+    }
+
+    void Invader::setCenterpoint(InvaderCenterPoint* center)
+    {
+        this->center_ = center;
     }
 
@@ -160,5 +165,5 @@
         this->bForceSpawn_ = true;
 
-        if (this->center_ == NULL)  // abandon mission!
+        if (this->center_ == nullptr)  // abandon mission!
         {
             orxout(internal_error) << "Invader: No Centerpoint specified." << endl;
Index: code/trunk/src/modules/invader/Invader.h
===================================================================
--- code/trunk/src/modules/invader/Invader.h	(revision 11052)
+++ code/trunk/src/modules/invader/Invader.h	(revision 11071)
@@ -39,7 +39,4 @@
 
 #include "gametypes/Deathmatch.h"
-
-#include "InvaderCenterPoint.h"
-
 #include "tools/Timer.h"
 
@@ -52,12 +49,11 @@
             Invader(Context* context);
 
-            virtual void start();
-            virtual void end();
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void start() override;
+            virtual void end() override;
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
 
             void spawnEnemy();
 
-            void setCenterpoint(InvaderCenterPoint* center)
-            { this->center_ = center; }
+            void setCenterpoint(InvaderCenterPoint* center);
 
             int getLives(){return this->lives;}
Index: code/trunk/src/modules/invader/InvaderCenterPoint.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderCenterPoint.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderCenterPoint.cc	(revision 11071)
@@ -49,12 +49,7 @@
     }
 
-    void InvaderCenterPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(InvaderCenterPoint, XMLPort, xmlelement, mode);
-    }
-
     void InvaderCenterPoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Invader)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Invader)))
         {
             Invader* InvaderGametype = orxonox_cast<Invader*>(this->getGametype());
Index: code/trunk/src/modules/invader/InvaderCenterPoint.h
===================================================================
--- code/trunk/src/modules/invader/InvaderCenterPoint.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderCenterPoint.h	(revision 11071)
@@ -47,6 +47,4 @@
             InvaderCenterPoint(Context* context); //checks whether the gametype is actually Invader.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
         private:
             void checkGametype();
Index: code/trunk/src/modules/invader/InvaderEnemy.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderEnemy.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderEnemy.cc	(revision 11071)
@@ -32,6 +32,8 @@
 */
 
-#include "invader/InvaderPrereqs.h"
 #include "InvaderEnemy.h"
+
+#include "core/CoreIncludes.h"
+#include "Invader.h"
 #include "InvaderShip.h"
 
@@ -54,5 +56,5 @@
             removeHealth(2000);
 
-        if (player != NULL)
+        if (player != nullptr)
         {
             float newZ = 2/(pow(abs(getPosition().x - player->getPosition().x) * 0.01f, 2) + 1) * (player->getPosition().z - getPosition().z);
@@ -62,5 +64,5 @@
     }
 
-    inline bool InvaderEnemy::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool InvaderEnemy::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
         if(orxonox_cast<InvaderShip*>(otherObject))
@@ -71,8 +73,8 @@
     Invader* InvaderEnemy::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
-            for (ObjectList<Invader>::iterator it = ObjectList<Invader>::begin(); it != ObjectList<Invader>::end(); ++it)
-                game = *it;
+            for (Invader* invader : ObjectList<Invader>())
+                game = invader;
         }
         return game;
@@ -82,5 +84,5 @@
     {
         Pawn::damage(damage, healthdamage, shielddamage, originator, cs);
-        if (getGame() && orxonox_cast<InvaderShip*>(originator) != NULL && getHealth() <= 0)
+        if (getGame() && orxonox_cast<InvaderShip*>(originator) != nullptr && getHealth() <= 0)
             getGame()->addPoints(42);
     }
Index: code/trunk/src/modules/invader/InvaderEnemy.h
===================================================================
--- code/trunk/src/modules/invader/InvaderEnemy.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderEnemy.h	(revision 11071)
@@ -37,5 +37,5 @@
 #include "invader/InvaderPrereqs.h"
 
-#include "worldentities/pawns/SpaceShip.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
@@ -46,7 +46,7 @@
             InvaderEnemy(Context* context);
 
-            virtual void tick(float dt);
-            virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
-            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs);
+            virtual void tick(float dt) override;
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
+            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
             virtual void setPlayer(InvaderShip* player){this->player = player;}
 
Index: code/trunk/src/modules/invader/InvaderEnemyShooter.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderEnemyShooter.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderEnemyShooter.cc	(revision 11071)
@@ -32,7 +32,10 @@
 */
 
-#include "invader/InvaderPrereqs.h"
 #include "InvaderEnemyShooter.h"
-// #include "worldentities/pawns/SpaceShip.h"
+
+#include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
+#include "Invader.h"
+#include "InvaderShip.h"
 
 namespace orxonox
@@ -56,5 +59,5 @@
             removeHealth(2000);
 
-        if (player != NULL)
+        if (player != nullptr)
         {
             float distPlayer = player->getPosition().z - getPosition().z;
@@ -74,5 +77,5 @@
     {
         Pawn::damage(damage, healthdamage, shielddamage, originator, cs);
-        if (getGame() && orxonox_cast<InvaderShip*>(originator) != NULL && getHealth() <= 0)
+        if (getGame() && orxonox_cast<InvaderShip*>(originator) != nullptr && getHealth() <= 0)
             getGame()->addPoints(3*42);
     }
Index: code/trunk/src/modules/invader/InvaderEnemyShooter.h
===================================================================
--- code/trunk/src/modules/invader/InvaderEnemyShooter.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderEnemyShooter.h	(revision 11071)
@@ -47,6 +47,6 @@
             InvaderEnemyShooter(Context* context);
 
-            virtual void tick(float dt);
-            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs);
+            virtual void tick(float dt) override;
+            virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
         protected:
             void shoot();
Index: code/trunk/src/modules/invader/InvaderHUDinfo.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderHUDinfo.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderHUDinfo.cc	(revision 11071)
@@ -30,5 +30,5 @@
 #include "core/XMLPort.h"
 #include "util/Convert.h"
-// #include "Invader.h"
+#include "Invader.h"
 
 namespace orxonox
@@ -40,5 +40,5 @@
         RegisterObject(InvaderHUDinfo);
 
-        this->InvaderGame = 0;
+        this->InvaderGame = nullptr;
         this->bShowLives_ = false;
         this->bShowLevel_ = false;
@@ -132,5 +132,5 @@
         else
         {
-            this->InvaderGame = 0;
+            this->InvaderGame = nullptr;
         }
     }
Index: code/trunk/src/modules/invader/InvaderHUDinfo.h
===================================================================
--- code/trunk/src/modules/invader/InvaderHUDinfo.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderHUDinfo.h	(revision 11071)
@@ -40,7 +40,7 @@
             InvaderHUDinfo(Context* context);
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/trunk/src/modules/invader/InvaderShip.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderShip.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderShip.cc	(revision 11071)
@@ -37,4 +37,7 @@
 #include "core/XMLPort.h"
 #include "Invader.h"
+#include "InvaderEnemy.h"
+#include "graphics/Camera.h"
+#include "weapons/projectiles/Projectile.h"
 
 namespace orxonox
@@ -92,5 +95,5 @@
         // Camera
         Camera* camera = this->getCamera();
-        if (camera != NULL)
+        if (camera != nullptr)
         {
             camera->setPosition(Vector3(-pos.z, -posforeward, 0));
@@ -139,5 +142,11 @@
         isFireing = bBoost;
     }
-    inline bool InvaderShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    void InvaderShip::rotateRoll(const Vector2& value)
+    {
+        if (getGame())
+            if (getGame()->bEndGame)
+                getGame()->end();
+    }
+    inline bool InvaderShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
         // orxout() << "touch!!! " << endl; //<< otherObject << " at " << contactPoint;
@@ -145,5 +154,5 @@
         Projectile* shot = orxonox_cast<Projectile*>(otherObject);
         // ensure that this gets only called once per enemy.
-        if (enemy != NULL && lastEnemy != enemy)
+        if (enemy != nullptr && lastEnemy != enemy)
         {
             lastEnemy = enemy;
@@ -156,7 +165,7 @@
         }
         // was shot, decrease multiplier
-        else if (shot != NULL  && lastShot != shot)
+        else if (shot != nullptr  && lastShot != shot)
         {
-            if (getGame() && orxonox_cast<InvaderEnemy*>(shot->getShooter()) != NULL)
+            if (getGame() && orxonox_cast<InvaderEnemy*>(shot->getShooter()) != nullptr)
             {
                 if (getGame()->multiplier > 1)
@@ -173,8 +182,8 @@
     Invader* InvaderShip::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
-            for (ObjectList<Invader>::iterator it = ObjectList<Invader>::begin(); it != ObjectList<Invader>::end(); ++it)
-                game = *it;
+            for (Invader* invader : ObjectList<Invader>())
+                game = invader;
         }
         return game;
Index: code/trunk/src/modules/invader/InvaderShip.h
===================================================================
--- code/trunk/src/modules/invader/InvaderShip.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderShip.h	(revision 11071)
@@ -37,7 +37,6 @@
 #include "invader/InvaderPrereqs.h"
 
+#include "weapons/WeaponsPrereqs.h"
 #include "worldentities/pawns/SpaceShip.h"
-#include "graphics/Camera.h"
-#include "weapons/projectiles/Projectile.h"
 
 namespace orxonox
@@ -48,25 +47,25 @@
             InvaderShip(Context* context);
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
 
             // Starts or stops fireing
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
             //no rotation!
-            virtual void rotateYaw(const Vector2& value){}; 
-            virtual void rotatePitch(const Vector2& value){};
+            virtual void rotateYaw(const Vector2& value) override{}; 
+            virtual void rotatePitch(const Vector2& value) override{};
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
+            virtual void rotateRoll(const Vector2& value) override;
 
             virtual void updateLevel();
 
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
+            virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
         protected:
-            virtual void death();
+            virtual void death() override;
         private:
             Invader* getGame();
Index: code/trunk/src/modules/invader/InvaderWeapon.h
===================================================================
--- code/trunk/src/modules/invader/InvaderWeapon.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderWeapon.h	(revision 11071)
@@ -35,8 +35,8 @@
 #define _InvaderWeapon_H__
 
+#include "invader/InvaderPrereqs.h"
+
+#include "weapons/WeaponsPrereqs.h"
 #include "weapons/weaponmodes/HsW01.h"
-#include "weapons/WeaponsPrereqs.h"
-
-#include "tools/Timer.h"
 
 namespace orxonox
@@ -48,5 +48,5 @@
             virtual ~InvaderWeapon();
         protected:
-            virtual void shot();
+            virtual void shot() override;
             WeakPtr<Projectile> projectile;
     };
Index: code/trunk/src/modules/invader/InvaderWeaponEnemy.cc
===================================================================
--- code/trunk/src/modules/invader/InvaderWeaponEnemy.cc	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderWeaponEnemy.cc	(revision 11071)
@@ -34,4 +34,7 @@
 #include "InvaderWeaponEnemy.h"
 
+#include "core/CoreIncludes.h"
+#include "weapons/projectiles/Projectile.h"
+
 namespace orxonox
 {
Index: code/trunk/src/modules/invader/InvaderWeaponEnemy.h
===================================================================
--- code/trunk/src/modules/invader/InvaderWeaponEnemy.h	(revision 11052)
+++ code/trunk/src/modules/invader/InvaderWeaponEnemy.h	(revision 11071)
@@ -35,7 +35,7 @@
 #define _InvaderWeaponEnemy_H__
 
-// #include "weapons/weaponmodes/HsW01.h"
-// #include "weapons/WeaponsPrereqs.h"
-#include "invader/InvaderWeapon.h"
+#include "invader/InvaderPrereqs.h"
+
+#include "InvaderWeapon.h"
 #include "tools/Timer.h"
 
@@ -47,5 +47,5 @@
             InvaderWeaponEnemy(Context* context);
         protected:
-            virtual void shot();
+            virtual void shot() override;
     };
 }
